#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kitinerary
Version: 20.12.0
Release:        %mkrel %{rel}
Summary:        Library for handling Itinerary data
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kde.org/
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
# From Gentoo:

# Upstream patches


BuildRequires:  kf5-macros
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Mime) >= 5.10.0
BuildRequires:  cmake(KF5CalendarCore) >= 5.10.0
BuildRequires:  cmake(KF5Contacts) >= 5.10.0
BuildRequires:  cmake(KPimPkPass)
BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(zxing)
BuildRequires:  phonenumber-devel

# OsmTools, Tools to convert, filter and update OpenStreetMap data files,
# Needed only for regenereating the airport database (ie. you most likely don't need this)
BuildRequires:  osmctools
Requires:       osmctools

%description
Library for handling Itinerary data.

%files -f %{name}.lang
%{_kf5_categoriesdir}/org_kde_kitinerary.categories
%{_kf5_libexecdir}/kitinerary-extractor
%{_kf5_datadir}/mime/packages/application-vnd-kde-itinerary.xml

#--------------------------------------------------------------------

%define major 5
%define libname %mklibname kpimitinerary %{major}

%package -n %{libname}
Summary:        Library for handling Itinerary data
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
Library for handling Itinerary data.

%files -n %{libname}
%{_kf5_libdir}/libKPimItinerary.so.%{major}{,.*}

#--------------------------------------------------------------------

%define devname %mklibname kpimitinerary -d

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_includedir}/KPim/KItinerary/
%{_includedir}/KPim/kitinerary/
%{_includedir}/KPim/kitinerary_version.h
%{_kf5_libdir}/*.so
%{_kf5_libdir}/cmake/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-html


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655615
- New version 20.12.0

* Sun Dec 06 2020 wally <wally> 20.08.3-2.mga8
+ Revision: 1653299
- rebuild for poppler 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644001
- New version 20.08.3

* Sat Oct 24 2020 akien <akien> 20.08.2-2.mga8
+ Revision: 1639121
- Rebuild against phonenumber fixed for protobuf API breakage

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633817
- New version 20.08.2

* Thu Sep 17 2020 daviddavid <daviddavid> 20.08.1-2.mga8
+ Revision: 1628179
- enable OsmTools support

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627059
- New version 20.08.1

* Thu Aug 20 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1616479
- New version 20.08.0

* Sun Aug 09 2020 daviddavid <daviddavid> 20.04.3-3.mga8
+ Revision: 1612283
- add upstream patch to fix build with zxing 1.1.0
- rebuild for new zxing-cpp 1.1.0

* Thu Aug 06 2020 wally <wally> 20.04.3-2.mga8
+ Revision: 1611575
- rebuild for poppler 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604124
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596857
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584508
- New version 20.04.1

* Sat May 02 2020 wally <wally> 20.04.0-2.mga8
+ Revision: 1577940
- rebuild for poppler 0.88.0

* Sat Apr 18 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1569413
- New version 20.04.0

* Mon Apr 06 2020 daviddavid <daviddavid> 19.12.3-5.mga8
+ Revision: 1565078
- enable PhoneNumber support

* Mon Apr 06 2020 daviddavid <daviddavid> 19.12.3-4.mga8
+ Revision: 1565076
- enable ZXing support

* Sat Apr 04 2020 wally <wally> 19.12.3-3.mga8
+ Revision: 1564401
- really rebuild with poppler 0.87.0

* Sat Apr 04 2020 wally <wally> 19.12.3-2.mga8
+ Revision: 1564376
- rebuild for poppler 0.87.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559327
- New version 19.12.3

* Wed Mar 04 2020 wally <wally> 19.12.2-4.mga8
+ Revision: 1553716
- rebuild for poppler 0.86.1

* Tue Mar 03 2020 wally <wally> 19.12.2-3.mga8
+ Revision: 1553513
- rebuild for poppler 0.86.0

* Wed Feb 19 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1543953
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1520227
- New version 19.12.2

* Thu Jan 23 2020 wally <wally> 19.12.0-3.mga8
+ Revision: 1482552
- rebuild for poppler 0.84.0
- build with new cmake macros

* Mon Dec 23 2019 wally <wally> 19.12.0-2.mga8
+ Revision: 1469647
- rebuild for poppler 0.83.0

* Mon Dec 16 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1468102
- New version 19.12.0
- New version 19.11.90

* Sat Nov 16 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1460981
- New version 19.08.3

* Thu Oct 31 2019 wally <wally> 19.08.1-4.mga8
+ Revision: 1457191
- fix poppler-0.82 patch

* Thu Oct 31 2019 wally <wally> 19.08.1-3.mga8
+ Revision: 1457187
- rebuild for new poppler 0.82.0

* Thu Oct 10 2019 wally <wally> 19.08.1-2.mga8
+ Revision: 1451108
- rebuild for poppler 0.81.0

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447436
- New version 19.08.1

* Thu Sep 19 2019 wally <wally> 19.04.3-2.mga8
+ Revision: 1443905
- rebuild for poppler 0.80.0

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424995
- New version 19.04.3

* Mon Jul 15 2019 wally <wally> 19.04.0-2.mga8
+ Revision: 1421788
- rebuild for poppler 0.78.0

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390450
- New version 19.04.0
- New version 19.04.00

* Fri Apr 12 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1389104
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382574
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375606
- New version 18.12.3

* Mon Feb 18 2019 wally <wally> 18.12.2-2.mga7
+ Revision: 1368160
- rebuild for new poppler 0.74.0

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365570
- New version 18.12.2

* Sun Jan 27 2019 wally <wally> 18.12.1-2.mga7
+ Revision: 1361193
- rebuild for new poppler 0.73.0

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356508
- New version 18.12.1

* Thu Dec 20 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1343305
- New version 18.12.0

* Sat Dec 08 2018 wally <wally> 18.08.3-2.mga7
+ Revision: 1339027
- add patch to build with poppler 0.72.0

* Sun Nov 25 2018 daviddavid <daviddavid> 18.08.3-1.mga7
+ Revision: 1334086
- New version 18.08.3

* Tue Nov 20 2018 daviddavid <daviddavid> 18.08.2-2.mga7
+ Revision: 1332182
- add upstream patch to fix build with poppler >= 0.71
- enable Poppler support

* Sun Nov 18 2018 daviddavid <daviddavid> 18.08.2-1.mga7
+ Revision: 1330678
- initial package kitinerary

